@echo off

cd %~dp0
for /f "delims=" %%x in (config.ini) do (set "%%x")

CLS
:start
echo Batch FLV to M4A Audio Remuxer v1
echo ===================================
echo Developed by Terra (terrapolis.org)
echo Contact @terra_zephead on Twitter
echo.
echo.
echo This program extracts AAC audio streams from a directory of FLV files.
echo It then remuxes it to iTunes M4A format without transcoding.
echo The entire process is lossless hence you will enjoy the best audio quality.
echo.
echo.NOTE: This program will only work properly if the FLV file contains AAC audio.
echo It has been tested to work with YouTube, MTV and VH1 FLVs.
echo.
echo.
pause
CLS
for %%a IN ("%sourcepath%\*.flv") do (
"%batchpath%\FLVExtractcl" -a -d "%temppath%" "%%a"
"%batchpath%\mp4box" -add "%temppath%\%%~na.aac" "%destpath%\%%~na.m4a"
del "%temppath%\%%~na.aac"
)
echo.
echo Your file(s) has been saved to %destpath%\
echo.
pause

:end